Links statistics

GET https://qr.nationbricks.com/api/statistics/
curl --request GET \
--url 'https://qr.nationbricks.com/api/statistics/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
start_date Required Start date in Y-m-d format.
end_date Required End date in Y-m-d format.
type Optional String Allowed values: overview, referrer_host, referrer_path, continent_code, country_code, city_name, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour
country_code Optional String Available when: type = city_name
utm_source Optional String Available when: type = utm_medium, utm_campaign
utm_medium Optional String Available when: type = utm_campaign
referrer_host Optional String Available when: type = referrer_path
{
    "data": [
        {
            "pageviews": 20,
            "visitors": 5,
            "formatted_date": "2021-01"
        },
        {
            "pageviews": 35,
            "visitors": 10,
            "formatted_date": "2021-02"
        },
        {
            "pageviews": 50,
            "visitors": 25,
            "formatted_date": "2021-03"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://qr.nationbricks.com/api/statistics?page=1",
        "last": "https://qr.nationbricks.com/api/statistics?page=1",
        "next": null,
        "prev": null,
        "self": "https://qr.nationbricks.com/api/statistics?page=1"
    }
}
GET https://qr.nationbricks.com/api/statistics/{link_id}
Parameters Details Description
start_date Required Start date in Y-m-d format.
end_date Required End date in Y-m-d format.
type Optional String Allowed values: overview, referrer_host, referrer_path, continent_code, country_code, city_name, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour
country_code Optional String Available when: type = city_name
utm_source Optional String Available when: type = utm_medium, utm_campaign
utm_medium Optional String Available when: type = utm_campaign
referrer_host Optional String Available when: type = referrer_path
curl --request GET \
--url 'https://qr.nationbricks.com/api/statistics/{link_id}?start_date=2020-01-01&end_date=2021-01-01' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": [
        {
            "pageviews": 20,
            "visitors": 5,
            "formatted_date": "2021-01"
        },
        {
            "pageviews": 35,
            "visitors": 10,
            "formatted_date": "2021-02"
        },
        {
            "pageviews": 50,
            "visitors": 25,
            "formatted_date": "2021-03"
        }
    ]
}